Ruby net-ldap gem 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1831702 漏洞类型 其他
发布时间 2019-11-21 更新时间 2019-12-20
CVE编号 CVE-2014-0083 CNNVD-ID CNNVD-201911-1226
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201911-1226
|漏洞详情
Ruby net-ldap gem是一款基于Ruby的、实现了轻型目录访问协议(LDAP)的软件包。 Ruby net-ldap gem 0.11之前版本中存在安全漏洞,该漏洞源于程序在生成SSHA密码时使用了较弱的盐值。目前尚无此漏洞的相关信息,请随时关注CNNVD或厂商公告。
|参考资料

来源:security-tracker.debian.org

链接:https://security-tracker.debian.org/tracker/CVE-2014-0083


来源:bugzilla.redhat.com

链接:https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2014-0083


来源:bugzilla.suse.com

链接:https://bugzilla.suse.com/show_bug.cgi?id=CVE-2014-0083


来源:CONFIRM

链接:https://github.com/ruby-ldap/ruby-net-ldap/commit/b412ca05f6b430eaa1ce97ac95885b4cf187b04a


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2014-0083